CREATE TABLE EPR_TB_BACKEND
(
  BCK_ID             INTEGER,
  BCK_CRE_DT         TIMESTAMP                       NOT NULL,
  BCK_CRE_ID         VARCHAR(50)          NOT NULL,
  BCK_MOD_DT         TIMESTAMP                       NOT NULL,
  BCK_MOD_ID         VARCHAR(50)          NOT NULL,
  BCK_NM             VARCHAR(250)         NOT NULL,
  BCK_FCT_CD         VARCHAR(3)           NOT NULL,
  BCK_USER_NAME      VARCHAR(50),
  BCK_USER_PASSWORD  VARCHAR(50)
);

CREATE UNIQUE INDEX EPR_UK_BCK_USER_NAME ON EPR_TB_BACKEND(BCK_USER_NAME);
CREATE UNIQUE INDEX EPR_IX_BACKEND ON EPR_TB_BACKEND(BCK_ID);

ALTER TABLE EPR_TB_BACKEND ADD PRIMARY KEY (BCK_ID);

ALTER TABLE EPR_TB_BACKEND ADD CONSTRAINT EPR_UK_BCK_USER_NAME UNIQUE (BCK_USER_NAME);

ALTER TABLE EPR_TB_BACKEND ADD CONSTRAINT EPR_FK_BCK_FCT FOREIGN KEY (BCK_FCT_CD) REFERENCES EPR_TB_FUNCTIONALITY (FCT_CD);
