CREATE TABLE EPR_TB_INTERNALDEPT
(
  IDP_ID      INTEGER,
  IDP_CRE_DT  TIMESTAMP                              NOT NULL,
  IDP_CRE_ID  VARCHAR(50)                 NOT NULL,
  IDP_MOD_DT  TIMESTAMP                              NOT NULL,
  IDP_MOD_ID  VARCHAR(50)                 NOT NULL,
  IDP_NAME    VARCHAR(250)                NOT NULL,
  IDP_EAN_CD  VARCHAR(250)                NOT NULL,
  IDP_ORG_CD  VARCHAR(250)                NOT NULL,
  IDP_LAN_CD  VARCHAR(3)
);

CREATE UNIQUE INDEX EPR_IX_INTERNALDEPT ON EPR_TB_INTERNALDEPT(IDP_ID);

ALTER TABLE EPR_TB_INTERNALDEPT ADD CONSTRAINT EPR_PK_IDP PRIMARY KEY (IDP_ID);

ALTER TABLE EPR_TB_INTERNALDEPT ADD CONSTRAINT EPR_FK_IDP_LAN FOREIGN KEY (IDP_LAN_CD) REFERENCES REF_TB_LANGUAGE (LAN_CD);