CREATE TABLE EPR_TB_INTERNALDEPT_BACKEND
(
  IDB_IDP_ID      INTEGER,
  IDB_BCK_ID      INTEGER,
  IDB_CRE_DT  TIMESTAMP                   NOT NULL,
  IDB_CRE_ID  VARCHAR(50)                 NOT NULL,
  IDB_MOD_DT  TIMESTAMP                   NOT NULL,
  IDB_MOD_ID  VARCHAR(50)                 NOT NULL
);

CREATE UNIQUE INDEX EPR_IX_INTERNALDEPT_BACKEND ON EPR_TB_INTERNALDEPT_BACKEND(IDB_IDP_ID, IDB_BCK_ID);

ALTER TABLE EPR_TB_INTERNALDEPT_BACKEND ADD CONSTRAINT EPR_PK_IDB PRIMARY KEY (IDB_IDP_ID, IDB_BCK_ID);

ALTER TABLE EPR_TB_INTERNALDEPT_BACKEND ADD CONSTRAINT EPR_FK_IDB_IDP FOREIGN KEY (IDB_IDP_ID) REFERENCES EPR_TB_INTERNALDEPT (IDP_ID);
ALTER TABLE EPR_TB_INTERNALDEPT_BACKEND ADD CONSTRAINT EPR_FK_IDB_BCK FOREIGN KEY (IDB_BCK_ID) REFERENCES EPR_TB_BACKEND (BCK_ID);