CREATE TABLE EPR_TB_OBJECT
(
  OBJ_ID             INTEGER,
  OBJ_CRE_DT         TIMESTAMP                       NOT NULL,
  OBJ_CRE_ID         VARCHAR(50)          NOT NULL,
  OBJ_MOD_DT         TIMESTAMP                       NOT NULL,
  OBJ_MOD_ID         VARCHAR(50)          NOT NULL,
  OBJ_OBT_CD         VARCHAR(3)           NOT NULL,
  OBJ_OBJ_ID         INTEGER,
  OBJ_MSG_ID         INTEGER,
  OBJ_CORRELATIONID  VARCHAR(250)
);

CREATE UNIQUE INDEX EPR_IX_OBJECT ON EPR_TB_OBJECT(OBJ_ID);

ALTER TABLE EPR_TB_OBJECT ADD CONSTRAINT EPR_PK_OBJ PRIMARY KEY (OBJ_ID);

ALTER TABLE EPR_TB_OBJECT ADD CONSTRAINT UTL_FK_OBJ_OBJ FOREIGN KEY (OBJ_OBJ_ID) REFERENCES EPR_TB_OBJECT (OBJ_ID);

ALTER TABLE EPR_TB_OBJECT ADD CONSTRAINT EPR_FK_OBJ_OBT FOREIGN KEY (OBJ_OBT_CD) REFERENCES EPR_TB_OBJECTTYPE (OBT_CD);