CREATE TABLE EPR_TB_SUPPORT
(
  SPR_PRF_ID  INTEGER,
  SPR_OBT_CD  VARCHAR(3),
  SPR_CRE_DT  TIMESTAMP                              NOT NULL,
  SPR_CRE_ID  VARCHAR(50)                 NOT NULL,
  SPR_MOD_DT  TIMESTAMP                              NOT NULL,
  SPR_MOD_ID  VARCHAR(50)                 NOT NULL
);

CREATE UNIQUE INDEX EPR_IX_SUPPPORT ON EPR_TB_SUPPORT(SPR_PRF_ID, SPR_OBT_CD);

ALTER TABLE EPR_TB_SUPPORT ADD CONSTRAINT EPR_PK_SPR PRIMARY KEY (SPR_PRF_ID, SPR_OBT_CD);

ALTER TABLE EPR_TB_SUPPORT ADD CONSTRAINT EPR_FK_SPR_OBT FOREIGN KEY (SPR_OBT_CD) REFERENCES EPR_TB_OBJECTTYPE (OBT_CD);

ALTER TABLE EPR_TB_SUPPORT ADD CONSTRAINT EPR_FK_SPR_PRF FOREIGN KEY (SPR_PRF_ID) REFERENCES EPR_TB_PROFILE (PRF_ID);
