CREATE TABLE REF_TB_LANGUAGE
(
  LAN_CD      VARCHAR(5)                  NOT NULL,
  LAN_CRE_DT  TIMESTAMP                              NOT NULL,
  LAN_CRE_ID  VARCHAR(50)                 NOT NULL,
  LAN_MOD_DT  TIMESTAMP                              NOT NULL,
  LAN_MOD_ID  VARCHAR(50)                 NOT NULL,
  LAN_PHR_ID  INTEGER
);

CREATE UNIQUE INDEX REF_IX_LANGUAGE ON REF_TB_LANGUAGE(LAN_CD);

ALTER TABLE REF_TB_LANGUAGE ADD CONSTRAINT REF_PK_LAN PRIMARY KEY(LAN_CD);

ALTER TABLE REF_TB_LANGUAGE ADD CONSTRAINT REF_FK_LAN_PHR FOREIGN KEY(LAN_PHR_ID) REFERENCES UTL_TB_PHRASE(PHR_ID);