CREATE TABLE SUP_TB_SUPPLIER
(
  SUP_ID      INTEGER,
  SUP_CRE_DT  TIMESTAMP                              NOT NULL,
  SUP_CRE_ID  VARCHAR(50)                 NOT NULL,
  SUP_MOD_DT  TIMESTAMP                              NOT NULL,
  SUP_MOD_ID  VARCHAR(50)                 NOT NULL,
  SUP_NAME    VARCHAR(250),
  SUP_EAN_CD  VARCHAR(50),
  SUP_LEF_ID  VARCHAR(50),
  SUP_LAN_CD  VARCHAR(3)
);

CREATE UNIQUE INDEX SUP_IX_SUPPLIER ON SUP_TB_SUPPLIER(SUP_ID);

ALTER TABLE SUP_TB_SUPPLIER ADD CONSTRAINT SUP_PK_SUP PRIMARY KEY (SUP_ID);

ALTER TABLE SUP_TB_SUPPLIER ADD CONSTRAINT SUP_FK_SUP_LAN FOREIGN KEY (SUP_LAN_CD) REFERENCES REF_TB_LANGUAGE (LAN_CD);