CREATE TABLE UTL_TB_STATEMENT
(
  STM_CD      VARCHAR(50),
  STM_CRE_DT  TIMESTAMP                              NOT NULL,
  STM_CRE_ID  VARCHAR(50)                 NOT NULL,
  STM_MOD_DT  TIMESTAMP                              NOT NULL,
  STM_MOD_ID  VARCHAR(50)                 NOT NULL,
  STM_PHR_ID  INTEGER
);

CREATE UNIQUE INDEX UTL_IX_STATEMENT ON UTL_TB_STATEMENT(STM_CD);

ALTER TABLE UTL_TB_STATEMENT ADD CONSTRAINT UTL_PK_STM PRIMARY KEY(STM_CD);

ALTER TABLE UTL_TB_STATEMENT ADD CONSTRAINT UTL_FK_STM_PHR FOREIGN KEY(STM_PHR_ID) REFERENCES UTL_TB_PHRASE(PHR_ID);