ALTER TABLE EPR_TB_ENDPOINT DROP CONSTRAINT EPR_FK_EDP_SRV;
ALTER TABLE EPR_TB_SERVICE DROP CONSTRAINT EPR_FK_SRV_PHR;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_MSG;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_RSC;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_PHR;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_BIN;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_IDP;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_MST;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_OBJ;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_AGR;
ALTER TABLE EPR_TB_MESSAGE DROP CONSTRAINT EPR_FK_MSG_SUP;
ALTER TABLE EPR_TB_OBJECT DROP CONSTRAINT UTL_FK_OBJ_MSG;
ALTER TABLE EPR_TB_OBJECT DROP CONSTRAINT UTL_FK_OBJ_OBJ;
ALTER TABLE EPR_TB_OBJECT DROP CONSTRAINT EPR_FK_OBJ_OBT;
ALTER TABLE EPR_TB_OBJECTTYPE DROP CONSTRAINT EPR_FK_OBT_PHR;
ALTER TABLE EPR_TB_OBJECTTYPE DROP CONSTRAINT EPR_FK_OBT_FCT;
ALTER TABLE REF_TB_EVENTLEVEL DROP CONSTRAINT REF_FK_EVL_PHR;
ALTER TABLE REF_TB_RESPONSECODE DROP CONSTRAINT REF_FK_RSC_OBT;
ALTER TABLE REF_TB_RESPONSECODE DROP CONSTRAINT REF_FK_RSC_PHR;
ALTER TABLE REF_TB_STATE DROP CONSTRAINT REF_FK_STS_PHR;
ALTER TABLE SUP_TB_AGREEMENT DROP CONSTRAINT SUP_FK_AGR_SUP;
ALTER TABLE SUP_TB_AGREEMENT DROP CONSTRAINT SUP_FK_AGR_USR;
ALTER TABLE SUP_TB_SUPPLIER DROP CONSTRAINT SUP_FK_SUP_LAN;
ALTER TABLE UTL_TB_STATEMENT DROP CONSTRAINT UTL_FK_STM_PHR;
ALTER TABLE UTL_TB_TRANSLATION DROP CONSTRAINT UTL_FK_TRA_PHR;
ALTER TABLE UTL_TB_TRANSLATION DROP CONSTRAINT UTL_FK_TRA_LAN;
ALTER TABLE REF_TB_LANGUAGE DROP CONSTRAINT REF_FK_LAN_PHR;
ALTER TABLE EPR_TB_BACKEND DROP CONSTRAINT EPR_FK_BCK_FCT;
ALTER TABLE EPR_TB_FUNCTIONALITY DROP CONSTRAINT EPR_FK_FCT_PHR;
ALTER TABLE EPR_TB_EVENT DROP CONSTRAINT EPR_FK_EVT_MSG;
ALTER TABLE EPR_TB_EVENT DROP CONSTRAINT EPR_FK_EVT_PHR;
ALTER TABLE EPR_TB_EVENT DROP CONSTRAINT EPR_FK_EVT_EVL;
ALTER TABLE EPR_TB_INTERCHANGEAGR DROP CONSTRAINT EPR_FK_ICA_PRF;
ALTER TABLE EPR_TB_INTERCHANGEAGR DROP CONSTRAINT EPR_FK_ICA_IDP;
ALTER TABLE EPR_TB_INTERCHANGEAGR DROP CONSTRAINT EPR_FK_ICA_AGR;
ALTER TABLE EPR_TB_INTERNALDEPT DROP CONSTRAINT EPR_FK_IDP_LAN;
ALTER TABLE EPR_TB_INTERNALDEPT_BACKEND DROP CONSTRAINT EPR_FK_IDB_IDP;
ALTER TABLE EPR_TB_INTERNALDEPT_BACKEND DROP CONSTRAINT EPR_FK_IDB_BCK;
ALTER TABLE EPR_TB_LOGLEVEL DROP CONSTRAINT EPR_FK_LGL_EDP;
ALTER TABLE EPR_TB_LOGLEVEL DROP CONSTRAINT EPR_FK_LGL_EVL;
ALTER TABLE EPR_TB_LOGLEVEL DROP CONSTRAINT EPR_FK_LGL_IDP;
ALTER TABLE EPR_TB_LOGLEVEL DROP CONSTRAINT EPR_FK_LGL_AGR;
ALTER TABLE EPR_TB_MESSAGETYPE DROP CONSTRAINT UTL_FK_MST_PHR;
ALTER TABLE EPR_TB_MESSAGETYPE DROP CONSTRAINT EPR_FK_MST_OBT;
ALTER TABLE EPR_TB_MESSAGETYPE DROP CONSTRAINT EPR_FK_MST_STS;
ALTER TABLE EPR_TB_MSG_REPOSITORY DROP CONSTRAINT EPR_FK_REP_IDP;
ALTER TABLE EPR_TB_MSG_REPOSITORY DROP CONSTRAINT EPR_FK_REP_AGR;
ALTER TABLE EPR_TB_MSG_REPOSITORY DROP CONSTRAINT EPR_FK_REP_BIN;
ALTER TABLE EPR_TB_SUPPORT DROP CONSTRAINT EPR_FK_SPR_PRF;
ALTER TABLE EPR_TB_SUPPORT DROP CONSTRAINT EPR_FK_SPR_OBT;

DROP TABLE EPR_TB_ENDPOINT;
DROP TABLE EPR_TB_SERVICE;
DROP TABLE EPR_TB_MESSAGE;
DROP TABLE EPR_TB_BINARY;
DROP TABLE EPR_TB_OBJECT;
DROP TABLE EPR_TB_OBJECTTYPE;
DROP TABLE REF_TB_EVENTLEVEL;
DROP TABLE REF_TB_RESPONSECODE;
DROP TABLE REF_TB_STATE;
DROP TABLE SUP_TB_AGREEMENT;
DROP TABLE SUP_TB_SUPPLIER;
DROP VIEW EPR_VW_ALLUSERS;
DROP TABLE SUP_TB_USER;
DROP TABLE UTL_TB_STATEMENT;
DROP TABLE UTL_TB_TRANSLATION;
DROP TABLE REF_TB_LANGUAGE;
DROP TABLE EPR_TB_BACKEND;
DROP TABLE EPR_TB_FUNCTIONALITY;
DROP TABLE UTL_TB_PHRASE;
DROP TABLE EPR_TB_EVENT;
DROP TABLE EPR_TB_EVENT_HIST;
DROP TABLE EPR_TB_INTERCHANGEAGR;
DROP TABLE EPR_TB_INTERNALDEPT;
DROP TABLE EPR_TB_INTERNALDEPT_BACKEND;
DROP TABLE EPR_TB_LOGLEVEL;
DROP TABLE EPR_TB_MESSAGETYPE;
DROP TABLE EPR_TB_MSG_REPOSITORY;
DROP TABLE EPR_TB_PROFILE;
DROP TABLE EPR_TB_SUPPORT;

DROP SEQUENCE EPR_SQ_REP_ID;
DROP SEQUENCE EPR_SQ_BCK_ID;
DROP SEQUENCE EPR_SQ_BIN_ID;
DROP SEQUENCE EPR_SQ_EDP_ID;
DROP SEQUENCE EPR_SQ_EVT_ID;
DROP SEQUENCE EPR_SQ_IDP_ID;
DROP SEQUENCE EPR_SQ_MSG_ID;
DROP SEQUENCE EPR_SQ_OBJ_ID;
DROP SEQUENCE EPR_SQ_PRF_ID;
DROP SEQUENCE EPR_SQ_SRV_ID;
DROP SEQUENCE SEQ_BT_EVENT;
DROP SEQUENCE SUP_SQ_AGR_ID;
DROP SEQUENCE SUP_SQ_SUP_ID;
DROP SEQUENCE SUP_SQ_USR_ID;
DROP SEQUENCE UTL_SQ_PHR_ID;
DROP SEQUENCE UTL_SQ_TRA_ID;