CREATE TABLE EPR_TB_ENDPOINT
(
  EDP_ID       INTEGER                           NOT NULL,
  EDP_CRE_DT   TIMESTAMP                             NOT NULL,
  EDP_CRE_ID   VARCHAR(50)                NOT NULL,
  EDP_MOD_DT   TIMESTAMP                             NOT NULL,
  EDP_MOD_ID   VARCHAR(50)                NOT NULL,
  EDP_SRV_ID   INTEGER,
  EDP_VERSION  VARCHAR(50)
);

CREATE UNIQUE INDEX EPR_IX_ENDPOINT ON EPR_TB_ENDPOINT(EDP_ID);

ALTER TABLE EPR_TB_ENDPOINT ADD PRIMARY KEY (EDP_ID);

ALTER TABLE EPR_TB_ENDPOINT ADD CONSTRAINT EPR_FK_EDP_SRV FOREIGN KEY (EDP_SRV_ID) REFERENCES EPR_TB_SERVICE (SRV_ID);