CREATE TABLE EPR_TB_FUNCTIONALITY
(
  FCT_CD      VARCHAR(50),
  FCT_CRE_DT  TIMESTAMP                              NOT NULL,
  FCT_CRE_ID  VARCHAR(50)                 NOT NULL,
  FCT_MOD_DT  TIMESTAMP                              NOT NULL,
  FCT_MOD_ID  VARCHAR(50)                 NOT NULL,
  FCT_PHR_ID  INTEGER
);

CREATE UNIQUE INDEX EPR_IX_FUNCTIONALITY ON EPR_TB_FUNCTIONALITY(FCT_CD);

ALTER TABLE EPR_TB_FUNCTIONALITY ADD CONSTRAINT EPR_PK_FCT PRIMARY KEY (FCT_CD);

ALTER TABLE EPR_TB_FUNCTIONALITY ADD CONSTRAINT EPR_FK_FCT_PHR FOREIGN KEY (FCT_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);