CREATE TABLE EPR_TB_OBJECTTYPE
(
  OBT_CD      VARCHAR(50),
  OBT_CRE_DT  TIMESTAMP                              NOT NULL,
  OBT_CRE_ID  VARCHAR(50)                 NOT NULL,
  OBT_MOD_DT  TIMESTAMP                              NOT NULL,
  OBT_MOD_ID  VARCHAR(50)                 NOT NULL,
  OBT_PHR_ID  INTEGER                        NOT NULL,
  OBT_FCT_CD  VARCHAR(3)
);

CREATE UNIQUE INDEX EPR_IX_OBJECTTYPE ON EPR_TB_OBJECTTYPE(OBT_CD);

ALTER TABLE EPR_TB_OBJECTTYPE ADD CONSTRAINT EPR_PK_OBT PRIMARY KEY (OBT_CD);

ALTER TABLE EPR_TB_OBJECTTYPE ADD CONSTRAINT EPR_FK_OBT_PHR FOREIGN KEY (OBT_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);

ALTER TABLE EPR_TB_OBJECTTYPE ADD CONSTRAINT EPR_FK_OBT_FCT FOREIGN KEY (OBT_FCT_CD) REFERENCES EPR_TB_FUNCTIONALITY (FCT_CD);