CREATE TABLE EPR_TB_SERVICE
(
  SRV_ID      INTEGER                            NOT NULL,
  SRV_CRE_DT  TIMESTAMP                         NOT NULL,
  SRV_CRE_ID  VARCHAR(50)                 NOT NULL,
  SRV_MOD_DT  TIMESTAMP                             NOT NULL,
  SRV_MOD_ID  VARCHAR(50)                 NOT NULL,
  SRV_PHR_ID  INTEGER
);

CREATE UNIQUE INDEX EPR_IX_SERVICE ON EPR_TB_SERVICE(SRV_ID);

ALTER TABLE EPR_TB_SERVICE ADD PRIMARY KEY (SRV_ID);

ALTER TABLE EPR_TB_SERVICE ADD CONSTRAINT EPR_FK_SRV_PHR FOREIGN KEY (SRV_PHR_ID) REFERENCES UTL_TB_PHRASE (PHR_ID);
