CREATE TABLE REF_TB_EVENTLEVEL
(
  EVL_ID      INTEGER                            NOT NULL,
  EVL_CRE_DT  TIMESTAMP                              NOT NULL,
  EVL_CRE_ID  VARCHAR(50)                 NOT NULL,
  EVL_MOD_DT  TIMESTAMP                              NOT NULL,
  EVL_MOD_ID  VARCHAR(50)                 NOT NULL,
  EVL_PHR_ID  INTEGER
);

CREATE UNIQUE INDEX REF_IX_EVENTLEVEL ON REF_TB_EVENTLEVEL(EVL_ID);

ALTER TABLE REF_TB_EVENTLEVEL ADD PRIMARY KEY(EVL_ID);

ALTER TABLE REF_TB_EVENTLEVEL ADD CONSTRAINT REF_FK_EVL_PHR FOREIGN KEY(EVL_PHR_ID) REFERENCES UTL_TB_PHRASE(PHR_ID);