CREATE TABLE SUP_TB_AGREEMENT
(
  AGR_ID      INTEGER,
  AGR_CRE_DT  TIMESTAMP                              NOT NULL,
  AGR_CRE_ID  VARCHAR(50)                 NOT NULL,
  AGR_MOD_DT  TIMESTAMP                              NOT NULL,
  AGR_MOD_ID  VARCHAR(50)                 NOT NULL,
  AGR_SUP_ID  INTEGER                        NOT NULL,
  AGR_USR_ID  INTEGER                        NOT NULL
);

CREATE UNIQUE INDEX SUP_IX_AGREEMENT ON SUP_TB_AGREEMENT(AGR_ID);

ALTER TABLE SUP_TB_AGREEMENT ADD CONSTRAINT SUP_PK_AGR PRIMARY KEY (AGR_ID);

ALTER TABLE SUP_TB_AGREEMENT ADD CONSTRAINT SUP_FK_AGR_USR FOREIGN KEY (AGR_USR_ID) REFERENCES SUP_TB_USER (USR_ID);

ALTER TABLE SUP_TB_AGREEMENT ADD CONSTRAINT SUP_FK_AGR_SUP FOREIGN KEY (AGR_SUP_ID) REFERENCES SUP_TB_SUPPLIER (SUP_ID);