CREATE TABLE SUP_TB_USER
(
  USR_ID            INTEGER,
  USR_CRE_DT        TIMESTAMP                        NOT NULL,
  USR_CRE_ID        VARCHAR(50)           NOT NULL,
  USR_MOD_DT        TIMESTAMP                        NOT NULL,
  USR_MOD_ID        VARCHAR(50)           NOT NULL,
  USR_NAME          VARCHAR(50),
  USR_PASSWORD      VARCHAR(50),
  USR_EMAILADDRESS  VARCHAR(255)
);

CREATE UNIQUE INDEX SUP_IX_USER ON SUP_TB_USER(USR_ID);
CREATE UNIQUE INDEX SUP_UK_USR_NAME ON SUP_TB_USER(USR_NAME);

ALTER TABLE SUP_TB_USER ADD CONSTRAINT SUP_PK_USR PRIMARY KEY(USR_ID);
ALTER TABLE SUP_TB_USER ADD CONSTRAINT SUP_UK_USR_NAME UNIQUE(USR_NAME);