CREATE TABLE UTL_TB_TRANSLATION
(
  TRA_ID      INTEGER,
  TRA_CRE_DT  TIMESTAMP                              NOT NULL,
  TRA_CRE_ID  VARCHAR(50)                 NOT NULL,
  TRA_MOD_DT  TIMESTAMP                              NOT NULL,
  TRA_MOD_ID  VARCHAR(50)                 NOT NULL,
  TRA_PHR_ID  INTEGER,
  TRA_LAN_CD  VARCHAR(3),
  TRA_VALUE   VARCHAR(1000)
);

CREATE UNIQUE INDEX UTL_IX_TRANSLATION ON UTL_TB_TRANSLATION(TRA_ID);

ALTER TABLE UTL_TB_TRANSLATION ADD CONSTRAINT UTL_PK_TRA PRIMARY KEY(TRA_ID);

ALTER TABLE UTL_TB_TRANSLATION ADD CONSTRAINT UTL_FK_TRA_LAN FOREIGN KEY(TRA_LAN_CD) REFERENCES REF_TB_LANGUAGE(LAN_CD);
ALTER TABLE UTL_TB_TRANSLATION ADD CONSTRAINT UTL_FK_TRA_PHR FOREIGN KEY(TRA_PHR_ID) REFERENCES UTL_TB_PHRASE(PHR_ID);